#!/bin/bash

SRC_DIR="$(dirname -- $0)"
DEST_DIR="/usr/lib/chromium"
# Overwrite the current widevine if it differs from the new one
OLD_SHA256=$(sha256sum "${DEST_DIR}/libwidevinecdm.so" 2>/dev/null | cut -d " " -f1)
NEWN_SHA256=$(sha256sum "${SRC_DIR}/libwidevinecdm.so" 2>/dev/null | cut -d " " -f1)
if [ "${OLD_SHA256}" != "${NEWN_SHA256}" ]; then
	echo "widevine sha256sums differ (new: '${NEWN_SHA256}' old: '${OLD_SHA256}')"
    [ -d "${DEST_DIR}" ] || mkdir -p "${DEST_DIR}"
    cp "${SRC_DIR}/libwidevinecdm.so" "${DEST_DIR}"
fi
